Domingo , Julio 23 2017
Inicio / Noticias / Una vulnerabilidad en Linux podría darles acceso root a los hackers

Una vulnerabilidad en Linux podría darles acceso root a los hackers

Linux es uno de los sistemas operativos más seguros desde hace muchos años. A pesar de que la popularidad del operativo ha ido en aumento, y de que se creía que era invulnerable a los hackers, se ha demostrado en repetidas ocasiones que no es así. Desde McAfee nos cuentan que han encontrado 10 vulnerabilidades nuevas en el núcleo de Linux. Pero lo peor de todo esto, es que 4 de ellas podrían permitir un potencial acceso root al sistema de archivos Linux.

Una vulnerabilidad en Linux podría darles acceso root a los hackers

Como nos cuentan desde Softpedia, un grupo de investigadores de McAfee VirusScan Enterprise ha encontrado ciertas vulnerabilidades en el núcleo de Linux (en las últimas versiones), que podrían permitir a un atacante llegar a conseguir los privilegios de root. Y, por lo tanto, acceso total a la máquina.

La ejecución remota de código se produce gracias a una simple vulnerabilidad producida por los servidores de actualización. Éstos son de alguna manera infectados o replicados de forma maliciosa para posibilitar la infección y que hacker pueda añadir código.

De las 10 vulnerabilidades encontradas por el equipo de McAfee, solo 4 de ellas han sido lo suficientemente importantes como para posibilitar la ruptura de la seguridad en el sistema operativo Linux. Esto es preocupante en cierta medida, ya que facilita más las cosas a los hackers, y teniendo en cuenta que cada vez más servidores de todo el mundo optan por este sistema operativo, o derivados, para gestionar sus máquinas, no estamos hablando de pocos afectados.

Las dos primeras vulnerabilidades, catalogadas como CVE-2016-8016 y CVE-2016-8017 (“Remote Unauthenticated File Existence Test” y “Remote Unauthenticated File Read with Constraints”), permiten potencialmente a los hackers comprometer el sistema de privilegios y ejecutar código malicioso en los servidores de actualización de estas máquinas Linux.

TE RECOMENDAMOS
Fedora 24 sufre un retraso en su proceso de desarrollo

El script que permite la obtención del privilegio root ha sido desarrollado con la ayuda de otras dos vulnerabilidades, la CVE-2016-8021 (“Web Interface Allows Arbitrary File Write to Known Location”) y la CVE-2016-8020 (“Authenticated Remote Code Execution & Privilege Escalation”), que ayudan al hacker a elevar los suficientes privilegios como para aprovechar las dos primeras vulnerabilidades de las que hemos hablado.

En palabras de Andrew Fasano del Laboratorio del  MIT Lincoln, “utilizando CRSF o XSS es posible utilizar estas vulnerabilidades para conseguir el acceso root de forma remota”.

Sobre Andrea Ardións

¡Ingeniera Informática! Programadora de Android y blogger. Me apasiona la tecnología, los ordenadores, smartphones, Android, el fútbol y la buena música. Seguro que me has leído antes :)

Te recomendamos

Como verificar si tu disco duro está fallando en Linux

Para los usuarios de Linux, las opciones suelen ser en muchos casos algo más limitadas. …